unit Demo19F2;
//
// PixelGraphicLibrary - Demo 19
// Version: 1.0 beta 3 for Delphi 2 and Delphi 3
// Copyright  1996-1998 Peter Beyersdorf, Lbeck, Germany
// http://www.beyersdorf.com/
//

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, ExtCtrls;

type
  TForm2 = class(TForm)
    Panel1: TPanel;
    Panel2: TPanel;
    Panel3: TPanel;
    BC1RB: TRadioButton;
    BC4RB: TRadioButton;
    BC8RB: TRadioButton;
    BC24RB: TRadioButton;
    BC4Gray4RB: TRadioButton;
    BC4GraySys4RB: TRadioButton;
    BC4Gray16RB: TRadioButton;
    BC4Sys16RB: TRadioButton;
    BC8Gray236RB: TRadioButton;
    BC8Gray256RB: TRadioButton;
    BC8Special125RB: TRadioButton;
    BC8Special216RB: TRadioButton;
    BC8Special252RB: TRadioButton;
    BC8OptimizedRB: TRadioButton;
    BC8OptimizedIncludeSys16CB: TCheckBox;
    BC8ColorsEdit: TEdit;
    Panel4: TPanel;
    BC1BlackWhiteRB: TRadioButton;
    BC1OptimizedRB: TRadioButton;
    BC4OptimizedRB: TRadioButton;
    BC4ColorsEdit: TEdit;
    Label1: TLabel;
    Label2: TLabel;
    Bevel1: TBevel;
    DitheringCB: TCheckBox;
    RGBWeightingCB: TCheckBox;
    Bevel2: TBevel;
    OKButton: TButton;
    CancelButton: TButton;
    procedure BCXColorsEditChange(Sender: TObject);
    procedure BC1XRBClick(Sender: TObject);
    procedure BC4XRBClick(Sender: TObject);
    procedure BC8XRBClick(Sender: TObject);
    procedure BC8OptimizedIncludeSys16CBClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form2: TForm2;

implementation

{$R *.DFM}

procedure TForm2.BCXColorsEditChange(Sender: TObject);
var Enable: Boolean;
begin
Enable:=false;
try
   Enable:=(StrToInt(Trim(BC4ColorsEdit.Text))>=2) and
           (StrToInt(Trim(BC4ColorsEdit.Text))<=16) and
           (StrToInt(Trim(BC8ColorsEdit.Text))>=2) and
           (StrToInt(Trim(BC8ColorsEdit.Text))<=256);
except
end;
OKButton.Enabled:=Enable;
if Sender=BC4ColorsEdit then
   begin
   BC4OptimizedRB.Checked:=true;
   BC4RB.Checked:=true;
   end
else
   begin
   BC8OptimizedRB.Checked:=true;
   BC8RB.Checked:=true;
   end;
end;

procedure TForm2.BC1XRBClick(Sender: TObject);
begin
BC1RB.Checked:=true;
end;

procedure TForm2.BC4XRBClick(Sender: TObject);
begin
BC4RB.Checked:=true;
end;

procedure TForm2.BC8XRBClick(Sender: TObject);
begin
BC8RB.Checked:=true;
end;

procedure TForm2.BC8OptimizedIncludeSys16CBClick(Sender: TObject);
begin
BC8OptimizedRB.Checked:=true;
BC8RB.Checked:=true;
end;

end.
